# DirectoryLocker Class Reference
[Different locking methods implementation]

Directories based locker. More...

Inheritance diagram for DirectoryLocker:
[legend]

List of all members.

## Public Member Functions

| get ($key)
| acquire lock
| free ($key)
| release lock
| drop ($key)
| completely remove lock

## Protected Member Functions

| __construct ($directory= 'dir-locking/')

## Private Attributes

| $directory = null

## Detailed Description

Directories based locker.

Definition at line 17 of file DirectoryLocker.class.php.

## Constructor & Destructor Documentation

DirectoryLocker::__construct | ( | $ | directory = `'dir-locking/'` | ) | `[protected]`

Definition at line 21 of file DirectoryLocker.class.php.

## Member Function Documentation

DirectoryLocker::drop | ( | $ | key | ) |

completely remove lock

Reimplemented from BaseLocker.

Definition at line 62 of file DirectoryLocker.class.php.

References free().

Here is the call graph for this function:

DirectoryLocker::free | ( | $ | key | ) |

release lock

Reimplemented from BaseLocker.

Definition at line 53 of file DirectoryLocker.class.php.

Referenced by drop().

DirectoryLocker::get | ( | $ | key | ) |

acquire lock

Reimplemented from BaseLocker.

Definition at line 34 of file DirectoryLocker.class.php.

## Member Data Documentation

DirectoryLocker::$directory = null`[private]`

Definition at line 19 of file DirectoryLocker.class.php.

The documentation for this class was generated from the following file:

- core/Cache/DirectoryLocker.class.php